Method: feeds.delete

Full name: projects.locations.instances.feeds.delete

Deletes a feed.

HTTP request

DELETE https://{endpoint}/v1beta/{name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The ID of the feed to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/feeds/{feed}

Query parameters

Parameters
deleteBacklog

boolean

Optional. If true, delete the uningested backlog in OOB retry queue for the feed.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.feeds.delete

For more information, see the IAM documentation.